<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <object class="GtkAdjustment" id="_offset_adj">
    <property name="upper">1</property>
    <property name="step-increment">0.01</property>
    <property name="page-increment">0.10</property>
  </object>
  <object class="GtkBox" id="gradient-toolbar">
    <property name="halign">start</property>
    <property name="valign">center</property>
    <property name="hexpand">True</property>
    <child>
      <object class="GtkLabel">
        <property name="margin-start">3</property>
        <property name="label" translatable="yes">&lt;b&gt;New:&lt;/b&gt;</property>
        <property name="use-markup">True</property>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="new_type_buttons_box">
        <property name="spacing">3</property>
        <child>
          <object class="GtkToggleButton" id="new_type_buttons_group">
            <property name="focusable">True</property>
            <property name="tooltip-text" translatable="yes">Create linear gradient</property>
            <property name="has-frame">False</property>
            <property name="icon-name">paint-gradient-linear</property>
          </object>
        </child>
        <child>
          <object class="GtkToggleButton">
            <property name="focusable">True</property>
            <property name="tooltip-text" translatable="yes">Create radial (elliptic or circular) gradient</property>
            <property name="has-frame">False</property>
            <property name="group">new_type_buttons_group</property>
            <property name="icon-name">paint-gradient-radial</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="new_fillstroke_buttons_box">
        <property name="spacing">3</property>
        <child>
          <object class="GtkToggleButton" id="new_fillstroke_buttons_group">
            <property name="focusable">True</property>
            <property name="tooltip-text" translatable="yes">Create gradient in the fill</property>
            <property name="has-frame">False</property>
            <property name="icon-name">object-fill</property>
          </object>
        </child>
        <child>
          <object class="GtkToggleButton">
            <property name="focusable">True</property>
            <property name="tooltip-text" translatable="yes">Create gradient in the stroke</property>
            <property name="has-frame">False</property>
            <property name="group">new_fillstroke_buttons_group</property>
            <property name="icon-name">object-stroke</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkSeparator">
      </object>
    </child>
    <child>
      <object class="GtkBox" id="select_box">
      </object>
    </child>
    <child>
      <object class="GtkToggleButton" id="_linked_btn">
        <property name="focusable">True</property>
        <property name="receives-default">True</property>
        <property name="tooltip-text" translatable="yes">Link gradients to change all related gradients</property>
        <property name="has-frame">False</property>
        <property name="icon-name">object-unlocked</property>
      </object>
    </child>
    <child>
      <object class="GtkButton" id="_stops_reverse_btn">
        <property name="focusable">True</property>
        <property name="receives-default">True</property>
        <property name="tooltip-text" translatable="yes">Reverse the direction of the gradient</property>
        <property name="has-frame">False</property>
        <property name="icon-name">object-flip-horizontal</property>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="spread_box">
      </object>
    </child>
    <child>
      <object class="GtkSeparator">
      </object>
    </child>
    <child>
      <object class="GtkBox" id="stop_box">
        <style>
            <class name="priority1"/>
        </style>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="offset_box">
        <property name="tooltip-text" translatable="yes">Offset of selected stop</property>
        <style>
            <class name="priority1"/>
        </style>
        <child>
          <object class="GtkLabel">
            <property name="label" translatable="yes">Offset:</property>
          </object>
        </child>
        <child>
          <object class="GtkSpinButton" id="_offset_item">
            <property name="focusable">True</property>
            <property name="tooltip-text" translatable="yes">Width of selection</property>
            <property name="width-chars">5</property>
            <property name="text" translatable="yes">0.000</property>
            <property name="adjustment">_offset_adj</property>
            <property name="climb-rate">0.10</property>
            <property name="digits">2</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkButton" id="_stops_add_btn">
        <property name="focusable">True</property>
        <property name="receives-default">True</property>
        <property name="tooltip-text" translatable="yes">Insert new stop</property>
        <property name="has-frame">False</property>
        <property name="icon-name">node-add</property>
        <style>
            <class name="priority1"/>
        </style>
      </object>
    </child>
    <child>
      <object class="GtkButton" id="_stops_delete_btn">
        <property name="focusable">True</property>
        <property name="receives-default">True</property>
        <property name="tooltip-text" translatable="yes">Delete stop</property>
        <property name="has-frame">False</property>
        <property name="icon-name">node-delete</property>
        <style>
            <class name="priority1"/>
        </style>
      </object>
    </child>
    <style>
      <class name="inkscape-toolbar"/>
    </style>
  </object>
</interface>
